Subject: bug#31376: 26.0.50; print-charset-text-property not honored

From: Noam Postavsky <[email-masked]>
Date: Tue, 15 May 2018 19:37:29 -0400

Eli Zaretskii <[email-masked]> writes:

>> The idea is to take the first if it's not eq to what char-charset
>> returns, or the second otherwise (on the assumption that it's different
>> from the first).  Perhaps clearer if I use cl-find:
>> 
> Maybe I'm missing something, but the negation of the test seemed to be
> missing from the original code.  But it was a hard day, so maybe my
> mind is foggy...

Oh, you're right, it was missing.  I didn't notice because both the
first two elements of charset-list were different from (char-charset
?\0xf6) which let the test pass regardless.